<?php
$alright_woocommerce_sc = alright_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $alright_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$alright_scheme = alright_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $alright_scheme ) && ! alright_is_inherit( $alright_scheme ) ) {
			echo ' scheme_' . esc_attr( $alright_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( alright_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( alright_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$alright_css      = '';
			$alright_bg_image = alright_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $alright_bg_image ) ) {
				$alright_css .= 'background-image: url(' . esc_url( alright_get_attachment_url( $alright_bg_image ) ) . ');';
			}
			if ( ! empty( $alright_css ) ) {
				echo ' style="' . esc_attr( $alright_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$alright_anchor_icon = alright_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$alright_anchor_text = alright_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $alright_anchor_icon ) || ! empty( $alright_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $alright_anchor_icon ) ? ' icon="' . esc_attr( $alright_anchor_icon ) . '"' : '' )
											. ( ! empty( $alright_anchor_text ) ? ' title="' . esc_attr( $alright_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( alright_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' alright-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$alright_css      = '';
				$alright_bg_mask  = alright_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$alright_bg_color_type = alright_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $alright_bg_color_type ) {
					$alright_bg_color = alright_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $alright_bg_color_type ) {
					$alright_bg_color = alright_get_scheme_color( 'bg_color', $alright_scheme );
				} else {
					$alright_bg_color = '';
				}
				if ( ! empty( $alright_bg_color ) && $alright_bg_mask > 0 ) {
					$alright_css .= 'background-color: ' . esc_attr(
						1 == $alright_bg_mask ? $alright_bg_color : alright_hex2rgba( $alright_bg_color, $alright_bg_mask )
					) . ';';
				}
				if ( ! empty( $alright_css ) ) {
					echo ' style="' . esc_attr( $alright_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$alright_caption     = alright_get_theme_option( 'front_page_woocommerce_caption' );
				$alright_description = alright_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $alright_caption ) || ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $alright_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $alright_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $alright_caption, 'alright_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $alright_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $alright_description ), 'alright_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $alright_woocommerce_sc ) {
						$alright_woocommerce_sc_ids      = alright_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$alright_woocommerce_sc_per_page = count( explode( ',', $alright_woocommerce_sc_ids ) );
					} else {
						$alright_woocommerce_sc_per_page = max( 1, (int) alright_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$alright_woocommerce_sc_columns = max( 1, min( $alright_woocommerce_sc_per_page, (int) alright_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$alright_woocommerce_sc}"
										. ( 'products' == $alright_woocommerce_sc
												? ' ids="' . esc_attr( $alright_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $alright_woocommerce_sc
												? ' category="' . esc_attr( alright_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $alright_woocommerce_sc
												? ' orderby="' . esc_attr( alright_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( alright_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $alright_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $alright_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
