<?php
/* Kadence Blocks support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'alright_kadence_blocks_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'alright_kadence_blocks_theme_setup9', 9 );
	function alright_kadence_blocks_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'alright_filter_tgmpa_required_plugins', 'alright_kadence_blocks_tgmpa_required_plugins' );
		}
		if( alright_exists_kadence_blocks () ) {
			add_filter( 'trx_addons_filter_add_kadence_blocks_styles_to_layout', 'alright_add_kadence_blocks_styles_to_layout' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'alright_kadence_blocks_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('alright_filter_tgmpa_required_plugins',	'alright_kadence_blocks_tgmpa_required_plugins');
	function alright_kadence_blocks_tgmpa_required_plugins( $list = array() ) {
		if ( alright_storage_isset( 'required_plugins', 'kadence-blocks' ) && alright_storage_get_array( 'required_plugins', 'kadence-blocks', 'install' ) !== false ) {
			$list[] = array(
				'name'     => alright_storage_get_array( 'required_plugins', 'kadence-blocks', 'title' ),
				'slug'     => 'kadence-blocks',
				'required' => false,
			);
		}
		return $list;
	}
}

// Check if plugin installed and activated
if ( ! function_exists( 'alright_exists_kadence_blocks' ) ) {
	function alright_exists_kadence_blocks() {
		return function_exists( 'kadence_blocks_activate' );
	}
}

// Add styles to the layout content
if ( ! function_exists( 'alright_add_kadence_blocks_styles_to_layout' ) ) {
	function alright_add_kadence_blocks_styles_to_layout() {
		return false;
	}
}