<?php
/**
 * Required plugins
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$alright_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'alright' ),
	'page_builders' => esc_html__( 'Page Builders', 'alright' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'alright' ),
	'socials'       => esc_html__( 'Socials and Communities', 'alright' ),
	'events'        => esc_html__( 'Events and Appointments', 'alright' ),
	'content'       => esc_html__( 'Content', 'alright' ),
	'other'         => esc_html__( 'Other', 'alright' ),
);
$alright_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'alright' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'alright' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $alright_theme_required_plugins_groups['core'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'alright' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'alright' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $alright_theme_required_plugins_groups['page_builders'],
	),
	'kadence-blocks'                  => array(
		'title'       => esc_html__( 'Kadence Blocks', 'alright' ),
		'description' => esc_html__( "Advanced Page Building Blocks for Gutenberg. Create custom column layouts, backgrounds, dual buttons, icons etc.", 'alright' ),
		'required'    => true,
		'logo'        => '../../skins/default/plugins/kadence-blocks/kadence-blocks.png',
		'group'       => $alright_theme_required_plugins_groups['page_builders'],
	),
	'woocommerce'                => array(
		'title'       => esc_html__( 'WooCommerce', 'alright' ),
		'description' => esc_html__( "Connect the store to your website and start selling now", 'alright' ),
		'required'    => false,
		'logo'        => 'woocommerce.png',
		'group'       => $alright_theme_required_plugins_groups['ecommerce'],
	),
	'ti-woocommerce-wishlist'                  => array(
		'title'       => esc_html__( 'TI WooCommerce Wishlist', 'alright' ),
		'description' => '',
		'required'    => false,
		'logo'        => alright_get_file_url( 'plugins/ti-woocommerce-wishlist/ti-woocommerce-wishlist.png' ),
		'group'       => $alright_theme_required_plugins_groups['ecommerce'],
	),
	'elegro-payment'             => array(
		'title'       => esc_html__( 'Elegro Crypto Payment', 'alright' ),
		'description' => esc_html__( "Extends WooCommerce Payment Gateways with an elegro Crypto Payment", 'alright' ),
		'required'    => false,
		'logo'        => 'elegro-payment.png',
		'group'       => $alright_theme_required_plugins_groups['ecommerce'],
	),
	'mailchimp-for-wp'           => array(
		'title'       => esc_html__( 'MailChimp for WP', 'alright' ),
		'description' => esc_html__( "Allows visitors to subscribe to newsletters", 'alright' ),
		'required'    => false,
		'logo'        => 'mailchimp-for-wp.png',
		'group'       => $alright_theme_required_plugins_groups['socials'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'alright' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'alright' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $alright_theme_required_plugins_groups['other'],
	)
);

if ( ALRIGHT_THEME_FREE ) {
	unset( $alright_theme_required_plugins['trx_updater'] );
}

// Add plugins list to the global storage
alright_storage_set( 'required_plugins', $alright_theme_required_plugins );
