<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.50
 */

$alright_template_args = get_query_var( 'alright_template_args' );
if ( is_array( $alright_template_args ) ) {
	$alright_columns    = empty( $alright_template_args['columns'] ) ? 2 : max( 1, $alright_template_args['columns'] );
	$alright_blog_style = array( $alright_template_args['type'], $alright_columns );
} else {
	$alright_blog_style = explode( '_', alright_get_theme_option( 'blog_style' ) );
	$alright_columns    = empty( $alright_blog_style[1] ) ? 2 : max( 1, $alright_blog_style[1] );
}
$alright_blog_id       = alright_get_custom_blog_id( join( '_', $alright_blog_style ) );
$alright_blog_style[0] = str_replace( 'blog-custom-', '', $alright_blog_style[0] );
$alright_expanded      = ! alright_sidebar_present() && alright_get_theme_option( 'expand_content' ) == 'expand';
$alright_components    = ! empty( $alright_template_args['meta_parts'] )
							? ( is_array( $alright_template_args['meta_parts'] )
								? join( ',', $alright_template_args['meta_parts'] )
								: $alright_template_args['meta_parts']
								)
							: alright_array_get_keys_by_value( alright_get_theme_option( 'meta_parts' ) );
$alright_post_format   = get_post_format();
$alright_post_format   = empty( $alright_post_format ) ? 'standard' : str_replace( 'post-format-', '', $alright_post_format );

$alright_blog_meta     = alright_get_custom_layout_meta( $alright_blog_id );
$alright_custom_style  = ! empty( $alright_blog_meta['scripts_required'] ) ? $alright_blog_meta['scripts_required'] : 'none';

if ( ! empty( $alright_template_args['slider'] ) || $alright_columns > 1 || ! alright_is_off( $alright_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $alright_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( alright_is_off( $alright_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $alright_custom_style ) ) . "-1_{$alright_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $alright_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $alright_columns )
					. ' post_layout_' . esc_attr( $alright_blog_style[0] )
					. ' post_layout_' . esc_attr( $alright_blog_style[0] ) . '_' . esc_attr( $alright_columns )
					. ( ! alright_is_off( $alright_custom_style )
						? ' post_layout_' . esc_attr( $alright_custom_style )
							. ' post_layout_' . esc_attr( $alright_custom_style ) . '_' . esc_attr( $alright_columns )
						: ''
						)
		);
	alright_add_blog_animation( $alright_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'alright_action_show_layout', $alright_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $alright_template_args['slider'] ) || $alright_columns > 1 || ! alright_is_off( $alright_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
