<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.10
 */

// Footer sidebar
$alright_footer_name    = alright_get_theme_option( 'footer_widgets' );
$alright_footer_present = ! alright_is_off( $alright_footer_name ) && is_active_sidebar( $alright_footer_name );
if ( $alright_footer_present ) {
	alright_storage_set( 'current_sidebar', 'footer' );
	$alright_footer_wide = alright_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $alright_footer_name ) ) {
		dynamic_sidebar( $alright_footer_name );
	}
	$alright_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $alright_out ) ) {
		$alright_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $alright_out );
		$alright_need_columns = true;   //or check: strpos($alright_out, 'columns_wrap')===false;
		if ( $alright_need_columns ) {
			$alright_columns = max( 0, (int) alright_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $alright_columns ) {
				$alright_columns = min( 4, max( 1, alright_tags_count( $alright_out, 'aside' ) ) );
			}
			if ( $alright_columns > 1 ) {
				$alright_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $alright_columns ) . ' widget', $alright_out );
			} else {
				$alright_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $alright_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'alright_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $alright_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $alright_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'alright_action_before_sidebar', 'footer' );
				alright_show_layout( $alright_out );
				do_action( 'alright_action_after_sidebar', 'footer' );
				if ( $alright_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $alright_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'alright_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
