<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.06
 */

$alright_header_css   = '';
$alright_header_image = get_header_image();
$alright_header_video = alright_get_header_video();
if ( ! empty( $alright_header_image ) && alright_trx_addons_featured_image_override( is_singular() || alright_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$alright_header_image = alright_get_current_mode_image( $alright_header_image );
}

$alright_header_id = alright_get_custom_header_id();
$alright_header_meta = get_post_meta( $alright_header_id, 'trx_addons_options', true );
if ( ! empty( $alright_header_meta['margin'] ) ) {
	alright_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( alright_prepare_css_value( $alright_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $alright_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $alright_header_id ) ) ); ?>
				<?php
				echo ! empty( $alright_header_image ) || ! empty( $alright_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $alright_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $alright_header_image ) {
					echo ' ' . esc_attr( alright_add_inline_css_class( 'background-image: url(' . esc_url( $alright_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				$alright_header_scheme = alright_get_theme_option( 'header_scheme' );
				if ( ! empty( $alright_header_scheme ) && ! alright_is_inherit( $alright_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $alright_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $alright_header_video ) ) {
		get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'alright_action_show_layout', $alright_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
