<?php
/**
 * The template to display default site header
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0
 */

$alright_header_css   = '';
$alright_header_image = get_header_image();
$alright_header_video = alright_get_header_video();
if ( ! empty( $alright_header_image ) && alright_trx_addons_featured_image_override( is_singular() || alright_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$alright_header_image = alright_get_current_mode_image( $alright_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $alright_header_image ) || ! empty( $alright_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $alright_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $alright_header_image ) {
		echo ' ' . esc_attr( alright_add_inline_css_class( 'background-image: url(' . esc_url( $alright_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	$alright_header_scheme = alright_get_theme_option( 'header_scheme' );
	if ( ! empty( $alright_header_scheme ) && ! alright_is_inherit( $alright_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $alright_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $alright_header_video ) ) {
		get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( alright_is_on( alright_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'alright_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
