<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0
 */

$alright_args = get_query_var( 'alright_logo_args' );

// Site logo
$alright_logo_type   = isset( $alright_args['type'] ) ? $alright_args['type'] : '';
$alright_logo_image  = alright_get_logo_image( $alright_logo_type );
$alright_logo_text   = alright_is_on( alright_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$alright_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $alright_logo_image['logo'] ) || ! empty( $alright_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $alright_logo_image['logo'] ) ) {
			if ( empty( $alright_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($alright_logo_image['logo']) && (int) $alright_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$alright_attr = alright_getimagesize( $alright_logo_image['logo'] );
				echo '<img src="' . esc_url( $alright_logo_image['logo'] ) . '"'
						. ( ! empty( $alright_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $alright_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $alright_logo_text ) . '"'
						. ( ! empty( $alright_attr[3] ) ? ' ' . wp_kses_data( $alright_attr[3] ) : '' )
						. '>';
			}
		} else {
			alright_show_layout( alright_prepare_macros( $alright_logo_text ), '<span class="logo_text">', '</span>' );
			alright_show_layout( alright_prepare_macros( $alright_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
