<?php
/**
 * The template to display the widgets area in the header
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0
 */

// Header sidebar
$alright_header_name    = alright_get_theme_option( 'header_widgets' );
$alright_header_present = ! alright_is_off( $alright_header_name ) && is_active_sidebar( $alright_header_name );
if ( $alright_header_present ) {
	alright_storage_set( 'current_sidebar', 'header' );
	$alright_header_wide = alright_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $alright_header_name ) ) {
		dynamic_sidebar( $alright_header_name );
	}
	$alright_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $alright_widgets_output ) ) {
		$alright_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $alright_widgets_output );
		$alright_need_columns   = strpos( $alright_widgets_output, 'columns_wrap' ) === false;
		if ( $alright_need_columns ) {
			$alright_columns = max( 0, (int) alright_get_theme_option( 'header_columns' ) );
			if ( 0 == $alright_columns ) {
				$alright_columns = min( 6, max( 1, alright_tags_count( $alright_widgets_output, 'aside' ) ) );
			}
			if ( $alright_columns > 1 ) {
				$alright_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $alright_columns ) . ' widget', $alright_widgets_output );
			} else {
				$alright_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $alright_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'alright_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $alright_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $alright_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'alright_action_before_sidebar', 'header' );
				alright_show_layout( $alright_widgets_output );
				do_action( 'alright_action_after_sidebar', 'header' );
				if ( $alright_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $alright_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'alright_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
