<?php
/**
 * The template to display Admin notices
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.64
 */

$alright_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$alright_skins_args = get_query_var( 'alright_skins_notice_args' );
?>
<div class="alright_admin_notice alright_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$alright_theme_img = alright_get_file_url( 'screenshot.jpg' );
	if ( '' != $alright_theme_img ) {
		?>
		<div class="alright_notice_image"><img src="<?php echo esc_url( $alright_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'alright' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="alright_notice_title">
		<?php esc_html_e( 'New skins are available', 'alright' ); ?>
	</h3>
	<?php

	// Description
	$alright_total      = $alright_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$alright_skins_msg  = $alright_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $alright_total, 'alright' ), $alright_total ) . '</strong>'
							: '';
	$alright_total      = $alright_skins_args['free'];
	$alright_skins_msg .= $alright_total > 0
							? ( ! empty( $alright_skins_msg ) ? ' ' . esc_html__( 'and', 'alright' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $alright_total, 'alright' ), $alright_total ) . '</strong>'
							: '';
	$alright_total      = $alright_skins_args['pay'];
	$alright_skins_msg .= $alright_skins_args['pay'] > 0
							? ( ! empty( $alright_skins_msg ) ? ' ' . esc_html__( 'and', 'alright' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $alright_total, 'alright' ), $alright_total ) . '</strong>'
							: '';
	?>
	<div class="alright_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'alright' ), $alright_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="alright_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $alright_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'alright' );
			?>
		</a>
	</div>
</div>
